<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.NoLocking Field
DatabaseEnvironmentConfig Class See Also

If true, Berkeley DB will grant all requested mutual exclusion mutexes and database locks without regard for their actual availability. This functionality should never be used for purposes other than debugging.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public bool NoLocking

Visual Basic (Declaration)

    Public NoLocking As Boolean

Visual C++

    public:
    bool NoLocking

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace